Skip to main content
`Ctrl`+`K`

# DMPlexVTKWriteAll

Write a file containing all the fields that have been provided to the viewer

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexVTKWriteAll(PetscObject odm, PetscViewer viewer)

Collective

## Input Parameters

- odm - The `DMPLEX` specifying the mesh, passed as a `PetscObject`

- viewer - viewer of type `PETSCVIEWERVTK`

## Note

This function is a callback used by the VTK viewer to actually write the file. The reason for this odd model is that the VTK file format does not provide any way to write one field at a time. Instead, metadata for the entire file needs to be available up-front before you can start writing the file.

## See Also

DMPlex: Unstructured Grids, `DM`, `PETSCVIEWEREXODUSII`, `DMPLEX`, `PETSCVIEWERVTK`

## Level

developer

## Location

src/dm/impls/plex/plexvtk.c

## Implementations

DMPlexVTKWriteAll_VTU() in src/dm/impls/plex/plexvtu.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages